OTBCLI_MORPHOLOGICALPROFILESANALYSIS(1)

NAME
otbcli_MorphologicalProfilesAnalysis - OTB MorphologicalProfilesAnalysis application

DESCRIPTION
This is the MorphologicalProfilesAnalysis application, version 6.0.0 Performs morphological profiles analysis on an input image channel.

Complete documentation: http://www.orfeo-toolbox.org/Applications/MorphologicalProfilesAnalysis.html

  Parameters:

-progress
    <boolean> Report progress

-in <string> Input Image (mandatory) -out <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-channel
    <int32> Selected Channel (mandatory, default value is 1)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-structype
    <string> Structuring Element Type [ball/cross] (mandatory, default value is ball)

-size
    <int32> Profile Size (mandatory, default value is 5)

-radius
    <int32> Initial radius (mandatory, default value is 5)

-step
    <int32> Radius step. (mandatory, default value is 1)

-profile
    <string> Profile [opening/closing/derivativeopening/derivativeclosing/openingcharacteristics/closingcharacteristics/classification] (mandatory, default value is opening)

-profile.classification.sigma <float>
    Sigma value for leveling tolerance (mandatory, default value is 1)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_MorphologicalProfilesAnalysis -in ROI_IKO_PAN_LesHalles.tif -channel 1 -structype ball -profile classification -size 5 -radius 1 -step 1 -profile.classification.sigma 1 -out output.tif